EDIT - bug #9024

repeated startups of the managed server eats up harddisk space
05/20/2020 01:50 PM - Andreas Kohlbecker

Status: New Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal Found in Version:

Description

During the startup of the manages cdm server for each startup the cdmlib-remote-webapp.war is extracted the system tmp folder.
For each startup a new dir file is being created each consuming ~120 MB

8, 0M Jjetty-0_0_0_0-43625-cdmlib-remote-webapp_war-_-any-8912447172982884934.dir
48M jetty—-0_0_0_0-38243-cdmlib-remote-webapp_war-_-any-6776623570264195839.dir
61M jetty-0_0_0_0-36419-cdmlib-remote-webapp_war-_-any-4358208280120821551.dir
121M jetty-0_0_0_0-33725-cdmlib-remote-webapp_war-_-any-8319322894790005341.dir
121M jetty-0_0_0_0-36187-cdmlib-remote-webapp_war-_-any-7551764681041246857.dir
121M jetty-0_0_0_0-36667-cdmlib-remote-webapp_war—-_-any-6334046355668681037.dir
121M jetty-0_0_0_0-36913-cdmlib-remote-webapp_war-_-any-6103315124236982943.dir
121M Jjetty-0_0_0_0-37073-cdmlib-remote-webapp_war-_-any-4538839602095661774.dir
121M Jjetty-0_0_0_0-37705-cdmlib-remote-webapp_war-_-any-848756261991342523.dir
121M jetty-0_0_0_0-39517-cdmlib-remote-webapp_war—-_-any-7771929113698174056.dir
121M jetty-0_0_0_0-39519-cdmlib-remote-webapp_war-_-any-8298194064153268163.dir
121M jetty-0_0_0_0-40035-cdmlib-remote-webapp_war-_-any-2727519756671796540.dir
121M jetty-0_0_0_0-42407-cdmlib-remote-webapp_war-_-any-2846831308129120598.dir
121M Jjetty-0_0_0_0-43499-cdmlib-remote-webapp_war—-_-any-704960962726081470.dir
121M Jjetty-0_0_0_0-44163-cdmlib-remote-webapp_war-_-any-4124102254100974042.dir
121M jetty-0_0_0_0-45783-cdmlib-remote-webapp_war-_-any-3685758195888632831.dir

History

#1 - 06/13/2020 01:08 AM - Andreas Miiller
- Status changed from New to Feedback

- Assignee changed from Katja Luther to Andreas Kohlbecker

is it really critical if data is extracted into the tmp folder? Older data in this folder should be automatically deleted after time or if a certain thrseshold is
reached.

#2 - 06/15/2020 09:11 AM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Andreas Miller

in linux systems the tmp folder is cleared during the system start up, which is a very wise strategy. In Mac OS is is for sure the same since this is
based on BSD.

| can't imagine a secure periodical deletion strategy of "old" files in the tmp folder.

What is the strategy implemented in Windows?

#3 - 06/16/2020 06:22 PM - Andreas Miiller

- Status changed from Feedback to New

In windows it is configurable but by default automatic cleaning of the temp file is switched off. If switched on it can be configured when the delete
should take place. Parameters are time and remaining space. | did not find out if there is something like a (configurable) temp removal during restart.

So | agree that it is at least not good practice to not delete the created temporary folders.

#4 - 06/16/2020 06:23 PM - Andreas Miuller
- Assignee changed from Andreas Mtiller to Katja Luther
